ZFS-PROMOTE(8)

NAME
zfs-promote - promote clone dataset to no longer depend on origin snapshot

SYNOPSIS
zfs promote clone

DESCRIPTION
The zfs promote command makes it possible to destroy the dataset that the clone was created from. The clone parent-child dependency relationship is reversed, so that the origin dataset becomes a clone of the specified dataset.

The snapshot that was cloned, and any snapshots previous to this snapshot, are now owned by the promoted clone. The space they use moves from the origin dataset to the promoted clone, so enough space must be available to accommodate these snapshots. No new space is consumed by this operation, but the space accounting is adjusted. The promoted clone must not have any conflicting snapshot names of its own. The zfs rename subcommand can be used to rename any conflicting snapshots.

SEE ALSO
zfs-clone(8), zfs-rename(8)